<!DOCTYPE html
  SYSTEM "about:legacy-compat">
<html class="ui-mobile ui-mobile-rendering">
   <head>
      <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
      <meta http-equiv="X-UA-Compatible" content="IE=Edge">
      <meta name="viewport" content="width=device-width, initial-scale=1.0">
      <meta name="web_author" content="interactive instruments GmbH">
      <title>ETF Test Report</title>
      <link rel="stylesheet" href="https://resources.etf-validator.net/report/v2/css/de.interactive-instruments.min.css?v2">
      <link rel="stylesheet" href="https://resources.etf-validator.net/report/v2/css/de.interactive-instruments.rep.css?v2">
      <link rel="stylesheet" href="https://ajax.googleapis.com/ajax/libs/jquerymobile/1.4.5/jquery.mobile.min.css"><script src="https://ajax.aspnetcdn.com/ajax/jQuery/jquery-1.11.3.min.js"></script><script src="https://ajax.googleapis.com/ajax/libs/jquerymobile/1.4.5/jquery.mobile.min.js"></script></head>
   <body class="ui-mobile-viewport ui-overlay-a">
      <div data-role="header">
         <h1>metadata_17316219_Geodetick&amp;yacute; a kartografick&amp;yacute; &amp;uacute;stav Bratislava
            (GK&amp;Uacute;)_INSPIRE - Budovy
         </h1><a class="ui-link" href="http://inspire-sandbox.jrc.ec.europa.eu/etf-webapp//#test-reports" data-ajax="false" data-icon="back" data-iconpos="notext"></a></div>
      <div data-role="content">
         <div class="ui-grid-b">
            <div class="ui-block-a">
               <div id="rprtInfo">
                  <table>
                     <tbody>
                        <tr class="ReportDetail">
                           <td>Report URI</td>
                           <td><a class="ui-link" href="http://inspire-sandbox.jrc.ec.europa.eu/etf-webapp//v2/TestRuns/EID54b5f0b9-db3e-47cb-85eb-0ebbf92c2f2a.html?lang=en" data-ajax="false">Link</a></td>
                        </tr>
                        <tr>
                           <td>Status</td>
                           <td>Undefined</td>
                        </tr>
                        <tr>
                           <td>Started</td>
                           <td>unknown</td>
                        </tr>
                        <tr>
                           <td>Duration</td>
                           <td>0.001 s</td>
                        </tr>
                        <tr class="ReportDetail">
                           <td>Report version</td>
                           <td>2.0.0-b170610</td>
                        </tr>
                        <tr class="ReportDetail">
                           <td>Log URI</td>
                           <td><a class="ui-link" href="http://inspire-sandbox.jrc.ec.europa.eu/etf-webapp//v2/TestRuns/54b5f0b9-db3e-47cb-85eb-0ebbf92c2f2a/log" data-ajax="false">Link</a></td>
                        </tr>
                     </tbody>
                  </table>
               </div>
            </div>
            <div class="ui-block-b">
               <div id="rprtStatistics">
                  <table id="my-table">
                     <thead>
                        <tr>
                           <th></th>
                           <th>Total Count</th>
                           <th>Skipped</th>
                           <th>Failed</th>
                           <th>Warnings</th>
                           <th>Manual</th>
                        </tr>
                     </thead>
                     <tbody>
                        <tr>
                           <td>Test suites</td>
                           <td>0</td>
                           <td>0</td>
                           <td>0</td>
                           <td>0</td>
                           <td>0</td>
                        </tr>
                        <tr>
                           <td>Test cases</td>
                           <td>0</td>
                           <td>0</td>
                           <td>0</td>
                           <td>0</td>
                           <td>0</td>
                        </tr>
                        <tr>
                           <td>Assertions</td>
                           <td>0</td>
                           <td>0</td>
                           <td>0</td>
                           <td>0</td>
                           <td>0</td>
                        </tr>
                     </tbody>
                  </table>
               </div>
            </div>
            <div class="ui-block-c">
               <div id="rprtControl">
                  <fieldset id="controlgroupLOD" data-role="controlgroup" data-mini="true">
                     <legend>Level of detail</legend><label for="cntrlAllDetails">All details</label><input type="radio" name="radio-lod" id="cntrlAllDetails" value="cntrlAllDetails"><label for="cntrlLessInformation">Less information</label><input type="radio" name="radio-lod" id="cntrlLessInformation" value="cntrlLessInformation"><label for="cntrlSimplified">Simplified</label><input type="radio" name="radio-lod" id="cntrlSimplified" value="cntrlSimplified" checked></fieldset>
                  <fieldset id="controlgroupShow" data-role="controlgroup" data-mini="true">
                     <legend>Show</legend><label for="cntrlShowAll">All</label><input type="radio" name="radio-filter" id="cntrlShowAll" value="cntrlShowAll" checked><label for="cntrlShowOnlyFailed">Only failed</label><input type="radio" name="radio-filter" id="cntrlShowOnlyFailed" value="cntrlShowOnlyFailed"><label for="cntrlShowOnlyManual">Only manual</label><input type="radio" name="radio-filter" id="cntrlShowOnlyManual" value="cntrlShowOnlyManual"></fieldset>
               </div>
            </div>
         </div>
         <div id="rprtParameters" data-role="collapsible" data-collapsed-icon="info" class="ReportDetail">
            <h3>Parameters</h3>
            <table>
               <tbody>
                  <tr>
                     <td>etf.testcases</td>
                     <td>*</td>
                  </tr>
               </tbody>
            </table>
         </div>
      </div>
      <div data-role="footer">
         <h1>Report generated by ETF</h1>
      </div>
      <div class="ui-field-contain" id="lodFadinMenu" style="display: none; width: 200px; position: fixed; top: 10px; right: 5px;" data-role="controlgroup"><label for="select-Show">Level of detail</label><select name="select-Show" id="lodFadinMenuSelect" data-mini="true">
            <option value="cntrlAllDetails">All details</option>
            <option value="cntrlLessInformation">Less information</option>
            <option value="cntrlSimplified" selected>Simplified</option></select></div><script>
			
			function SelectorCache() {
				var cache = {};
				function getFromCache( selector ) {
					if ( undefined === cache[ selector ] ) {
						cache[ selector ] = $( selector );
					}
					return cache[ selector ];
				}
				return { get: getFromCache };
			}
			var cache = new SelectorCache();

			function hide(elements) {
				elements.css({ display: 'none' });
			}

			function show(elements) {
				elements.css({ display: '' });
			}

			function updateLod(cntrl) {
				if(cntrl=="cntrlSimplified")
				{
					hide(cache.get('.ReportDetail, .DoNotShowInSimpleView, .XQueryContainsAssertion'));
				}
				else if(cntrl=="cntrlLessInformation")
				{
					hide(cache.get('.ReportDetail'));
					show(cache.get('.DoNotShowInSimpleView'));
				}
				else if(cntrl=="cntrlAllDetails")
				{
					show(cache.get('.ReportDetail, .DoNotShowInSimpleView'));
				}
			}
			
			
			cache.get( "input[name=radio-filter]" ).on( "click", function() {
			
			var cntrl = $( "input[name=radio-filter]:checked" ).val();
				if(cntrl=="cntrlShowOnlyFailed")
				{
					hide(cache.get('.SuccessfulTestModule, .ManualTestModule, .SkippedTestModule, .SuccessfulTestCase, .ManualTestCase, .SuccessfulTestStep, .ManualTestStep, .SuccessfulAssertion, .ManualAssertion, .SkippedTestCase, .SkippedTestStep, .SkippedAssertion'));					
					show(cache.get('.FailedTestCase, .FailedTestStep, .FailedAssertion'));
					
					if(cache.get('.TestStep, .Assertion').length < 3500) {
						cache.get('.TestSuite').collapsible('expand');
						cache.get('.FailedTestModule').collapsible('expand');
						cache.get('.FailedTestCase').collapsible('expand');
						cache.get('.FailedTestStep').collapsible('expand');
						cache.get('.FailedAssertion').collapsible('expand');
					}
				}
				else if(cntrl=="cntrlShowOnlyManual")
				{
					hide(cache.get('.SuccessfulTestModule, .FailedTestModule, .SkippedTestModule, .SuccessfulTestCase, .FailedTestCase, .SkippedTestCase, .SkippedTestStep, .SkippedAssertion, .SuccessfulTestStep, .FailedTestStep, .SuccessfulAssertion, .FailedAssertion'));
					show(cache.get('.ManualTestModule, .ManualTestCase, .ManualTestStep, .ManualAssertion'));
					
					if(cache.get('.TestStep, .Assertion').length < 3500) {
						cache.get('.TestSuite').collapsible('expand');
						cache.get('.ManualTestModule').collapsible('expand');
						cache.get('.ManualTestCase').collapsible('expand');
						cache.get('.ManualTestStep').collapsible('expand');
						cache.get('.ManualAssertion').collapsible('expand');
					}
				}
				else if(cntrl=="cntrlShowAll")
				{
					show(cache.get('.SuccessfulTestModule, .FailedTestModule, .ManualTestModule, .SkippedTestModule, .SuccessfulTestCase, .SuccessfulTestStep, .SuccessfulAssertion, .SkippedTestCase, .SkippedTestStep, .SkippedAssertion, .ManualTestCase, .ManualTestStep, .ManualAssertion, .FailedTestCase, .FailedTestStep, .FailedAssertion'));
				}
			});
			
			$.fn.exists = function(){ return this.length > 0; }
			
			$.fn.getParentWithClass = function(className) {
				var p = this.parent();
				if(p.exists()) {
					return p.hasClass(className) ? p : p.getParentWithClass(className);
				}
				console.warn('Parent class '+className+' not found');
				return null;
			}
			
			
			function jumpToAnchor(anchorId) {
				var anchorElement = $('#'+anchorId);
				if(anchorId!="" && anchorElement.exists()) {
					console.log("Scrolling to anchor: "+anchorId);
					// Expand parent model items

					anchorElement.collapsible('expand').getParentWithClass("TestSuite").collapsible('expand');
					var testModulePar = anchorElement.collapsible('expand').getParentWithClass("TestModule")
					if(testModulePar) {
						testModulePar.collapsible('expand');
					}
					var testCasePar = anchorElement.collapsible('expand').getParentWithClass("TestCase");
					if(testCasePar) {
						testCasePar.collapsible('expand');
					}
					var testStepPar = anchorElement.collapsible('expand').getParentWithClass("TestStep");
					if(testStepPar) {
						testStepPar.collapsible('expand');
					}
					var position = $(anchorElement).offset().top;
					$("html, body").stop().animate({ scrollTop: position });
					window.history.pushState(null,"", "#"+anchorId);
				}
			}			
			
			$("#controlgroupLOD input").on( "click", function() {
				var cntrl = $( "#controlgroupLOD input:checked" ).val();
				$('#lodFadinMenuSelect').val(cntrl).selectmenu('refresh');
				updateLod(cntrl);
			});
			$("#lodFadinMenuSelect").on( "change", function() {
				var cntrl = $( "#lodFadinMenuSelect option:selected").val()
				$("#cntrlAllDetails").prop('checked', false).checkboxradio("refresh");
				$("#cntrlLessInformation").prop('checked', false).checkboxradio("refresh");
				$("#cntrlSimplified").prop('checked', false).checkboxradio("refresh");
				$("#"+cntrl).prop('checked', true).checkboxradio("refresh");
				updateLod(cntrl);
			});	
			$(document).scroll(function () {
				var y = $(this).scrollTop();
				if (y > 370) {
					cache.get('#lodFadinMenu').fadeIn();
				} else {
					cache.get('#lodFadinMenu').fadeOut();
				}
			});
			
			
			$(document).one('pagebeforeshow', function() {				
				
				var url = decodeURIComponent(window.location.href);
				var anchorIdx = url.indexOf("#");
				var anchorId = anchorIdx != -1 ? url.substring(anchorIdx+1) : "";
				var anchorElement = $('#'+anchorId);
				if(anchorId!="" && anchorElement.exists()) {
					cache.get('.DoNotShowInSimpleView').show();
					jumpToAnchor(anchorId);
					$("body").one("pagecontainershow", function () {
						var position = cache.get(anchorElement).offset().top;
						// ... but it works...
						setTimeout( function() {
							cache.get("html, body").stop().animate({ scrollTop: position });
							},150);
						});
				}
				
				
				if ( cache.get('.ManualTestCase, .ManualTestStep, .ManualAssertion').length==0) {
					cache.get('#cntrlShowOnlyManual').checkboxradio();
					cache.get('#cntrlShowOnlyManual').checkboxradio('refresh');
					cache.get('#cntrlShowOnlyManual').checkboxradio('disable').checkboxradio('refresh');
				}
				
				
				hide(cache.get('.ReportDetail, .DoNotShowInSimpleView, .XQueryContainsAssertion'));
				
			});
			
		</script></body>
</html>